Realiza o pré-cadastro de CDC Ágil
curl --request POST \
--url https://api.example.com/api/services/app/ECrediarioDigital/PreCadastro \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"code": "<string>",
"name": "<string>",
"document": "<string>",
"birthDate": "2023-11-07T05:31:56Z",
"income": 123,
"addressType": "<string>",
"addressStreet": "<string>",
"addressNumber": 123,
"addressCity": "<string>",
"addressState": "<string>",
"addressComplement": "<string>",
"addressNeighborhood": "<string>",
"addressPostalCode": "<string>",
"cellPhoneNumber": "<string>",
"employmentStatus": 123,
"buyValue": 123,
"installmentNumbers": 123,
"updateCustomerData": true,
"firstInstallment": "2023-11-07T05:31:56Z",
"hasInsurance": true
}
'import requests
url = "https://api.example.com/api/services/app/ECrediarioDigital/PreCadastro"
payload = {
"code": "<string>",
"name": "<string>",
"document": "<string>",
"birthDate": "2023-11-07T05:31:56Z",
"income": 123,
"addressType": "<string>",
"addressStreet": "<string>",
"addressNumber": 123,
"addressCity": "<string>",
"addressState": "<string>",
"addressComplement": "<string>",
"addressNeighborhood": "<string>",
"addressPostalCode": "<string>",
"cellPhoneNumber": "<string>",
"employmentStatus": 123,
"buyValue": 123,
"installmentNumbers": 123,
"updateCustomerData": True,
"firstInstallment": "2023-11-07T05:31:56Z",
"hasInsurance": True
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
document: '<string>',
birthDate: '2023-11-07T05:31:56Z',
income: 123,
addressType: '<string>',
addressStreet: '<string>',
addressNumber: 123,
addressCity: '<string>',
addressState: '<string>',
addressComplement: '<string>',
addressNeighborhood: '<string>',
addressPostalCode: '<string>',
cellPhoneNumber: '<string>',
employmentStatus: 123,
buyValue: 123,
installmentNumbers: 123,
updateCustomerData: true,
firstInstallment: '2023-11-07T05:31:56Z',
hasInsurance: true
})
};
fetch('https://api.example.com/api/services/app/ECrediarioDigital/PreCadastro', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"info": "<string>",
"contractNumber": "<string>",
"limit": 123,
"preApprovedLimit": 123
}Crediário Digital
Realiza o pré-cadastro de Crediário Digital
POST
/
api
/
services
/
app
/
ECrediarioDigital
/
PreCadastro
Realiza o pré-cadastro de CDC Ágil
Envia os dados do cliente (identificando a operação pelo
code de
Simular) para o pré-cadastro. Retorna o status
(1 = permitida para envio, 2 = negada), o contractNumber e os limites aprovados.
Autentique-se antes (Autenticação).
addressType e employmentStatus seguem as listas de valores documentadas no schema abaixo.curl -X POST "https://gateway.hubcred.com.br/external/v1/api/services/app/ECrediarioDigital/PreCadastro" \
-H "Authorization: Bearer SEU_TOKEN" -H "Content-Type: application/json" \
-d '{ "code": "ABC123", "name": "Fulano de Tal", "document": "12345678900", "birthDate": "1990-05-20", "income": 3000, "addressType": "RUA", "addressStreet": "Das Flores", "addressNumber": 100, "addressCity": "São Paulo", "addressState": "SP", "addressNeighborhood": "Centro", "addressPostalCode": "01001000", "cellPhoneNumber": "11999998888", "employmentStatus": 1, "buyValue": 1500, "installmentNumbers": 10, "updateCustomerData": true }'
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Input com os dados do pré-cadastro
Dados de entrada para o pré-cadastro de CDC Ágil.
Código da operação (retornado em Simular).
'RUA' 'AVENIDA' 'AEROPORTO' 'ALAMEDA' 'APARTAMENTO' 'BECO' 'BLOCO' 'ESTAÇÃO' 'FORTALEZA' 'GALERIA' 'LADEIRA' 'LARGO' 'PRAÇA' 'PARQUE' 'QUADRA' 'QUINTA' 'SUPER QUADRA' 'TRAVESSA' 'VIADUTO' 'VILA'
1 => 'Registrado', 2 => 'Autônomo'